%define upstream_name    XML-Elemental
%define upstream_version 2.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Simplistic and perlish handling of XML data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz


Buildrequires:  perl(Class::Accessor)
Buildrequires:  perl(XML::SAX)

BuildArch:      noarch


%description
XML::Elemental is a SAX-based package for easily parsing XML documents into a
more native and mostly object-oriented perl form.

The development of this package grew out of the desire for something more
object-oriented then XML::Simple and was more simplistic and perlish then the
various standard XML API modules such as XML::DOM. Easier installation of
modules was also a contributing factor.

Original this package began as a style plugin to XML::Parser. That proved to be
too limiting that it was expanded. With the release of version 2.0 the package
was refactored to take advantage of any parser supporting SAX that includes the
pure perl option that ships with XML::SAX.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/XML
%{_mandir}/man3*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.110.0-12.mga10
+ Revision: 2201434
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.110.0-11.mga9
+ Revision: 1806660
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.110.0-10.mga8
+ Revision: 1498373
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.110.0-9.mga7
+ Revision: 1272755
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.110.0-8.mga6
+ Revision: 1035957
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.110.0-7.mga6
+ Revision: 949481
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 2.110.0-6.mga5
+ Revision: 789743
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.110.0-5.mga5
+ Revision: 750127
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.110.0-4.mga5
+ Revision: 686916
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.110.0-3.mga4
+ Revision: 516029
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-2.mga3
+ Revision: 375001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.110.0-1.mga1
+ Revision: 31489
- mageia rebuild
- imported package perl-XML-Elemental


* Sun Nov 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.110.0-1mdv2010.1
+ Revision: 471056
- update to 2.11

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.1-5mdv2010.0
+ Revision: 430663
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 2.1-4mdv2009.0
+ Revision: 258840
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.1-3mdv2009.0
+ Revision: 246728
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdv2008.1
+ Revision: 152903
- update to new version 2.1
- update to new version 2.1

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.0-1mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Mar 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2007.1
+ Revision: 144129
- fix build dependencies
- Imported perl-XML-Elemental-2.0-1mdv2007.1 into SVN repository.

* Thu Mar 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2007.1
- first mdv release

